@import url(global.css);
@import url(color.css);
@import url(typography.css);

#body {
  width: 100%;
  height: auto;
  display: flex;
  flex-direction: column;
  gap:40px;
  align-items: start;
  padding: 56px;
}
#all-groups-container {
  width: 100%;
  height: auto;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 40px;
}

.species-group {
  width: 100%;
  height: 600px;
  padding: 40px;
  border-radius: 4px;
  align-content: end;
}
.species-group:hover {
  text-decoration: underline;
  color: var(--color-grey-100);
}
#skuasGulls {
  background-image: url(birds/02-skuasAndGulls/blackHeadedGull/blackHeadedGull-square.jpeg);
  background-size: cover;
  background-position: center;
}
#ducksGeeseSwans {
  background-image: url(birds/04-ducksGeeseSwans/tuftedDuck/tuftedDuck-1-3by2.jpg);
  background-size: cover;
  background-position: center;
}
#heronsCranesEgrets {
  background-image: url(birds/05-heronsCranesEgrets/greyHeron/greyHeron-1-square.jpg);
  background-size: cover;
  background-position: center;
}
#sandpipersSnipesPhalaropesOystercatchers {
  background-image: url(birds/07-sandpipersSnipesPhalaropesOystercatchers/turnstone/turnstone-square.jpeg);
  background-size: cover;
  background-position: center;
}
#gamebirds {
  background-image: url(birds/10-gamebirds/pheasant/pheasant-1-3by2.jpg);
  background-size: cover;
  background-position: center;
}
#pigeonsDoves {
  background-image: url(birds/11-pigeonsDoves/rockDove/rockDove-1-square.jpg);
  background-size: cover;
  background-position: center;
}
#crows {
  background-image: url(birds/12-crows/magpie/magpie-1-square.jpg);
  background-size: cover;
  background-position: center;
}
#larksBuntingsFlycatchersChats {
  background-image: url(birds/14-larksBuntingsFlycatchersChats/robin/robin-square.jpeg);
  background-size: cover;
  background-position: center;
}
#warblersShrikesPipitsWagtails {
  background-image: url(birds/15-warblersShrikesPipitsWagtails/greyWagtail/greyWagtail-square.jpeg);
  background-size: cover;
  background-position: center;
}
#thrushes {
  background-image: url(birds/17-thrushes/blackbird/blackbird-square.jpeg);
  background-size: cover;
  background-position: center;
}
#finchesTitsSparrows {
  background-image: url(birds/18-finchesTitsSparrows/blueTit/blueTit-square.jpeg);
  background-size: cover;
  background-position: center;
}
#uniqueSpecies {
  background-image: url(birds/19-uniqueSpecies/kingfisher/kingfisher-square.jpeg);
  background-size: cover;
  background-position: center;
}


@media (max-width: 1440px) {
  #body {
    padding: 40px;
  }
  #all-groups-container {
    grid-template-columns: repeat(2, 1fr);
  }
}
@media (max-width: 1024px) {
  .species-group {
    height: 400px;
  }
}
@media (max-width: 768px) {
  #body {
    padding: 24px;
    gap: 24px;
  }
  #all-groups-container {
    gap: 24px;
  }
  #all-groups-container {
    grid-template-columns: repeat(1, 1fr);
  }
  .species-group {
    padding: 24px;
    height: 300px;
  }
}